Skip to main content
POST
/
attestations
/
{org}
/
{flow_name}
/
trail
/
{trail_name}
/
system
Attest system
curl --request POST \
  --url https://app.kosli.com/api/v2/attestations/{org}/{flow_name}/trail/{trail_name}/system \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'data_json={
  "attestation_name": "<string>",
  "type_name": "decision",
  "attestation_data": "<string>",
  "origin_url": "<string>",
  "description": "<string>",
  "artifact_fingerprint": "<string>",
  "target_artifacts": [
    "<string>"
  ],
  "git_commit_info": {
    "sha1": "<string>",
    "message": "<string>",
    "author": "<string>",
    "author_username": "<string>",
    "branch": "<string>",
    "timestamp": 123,
    "url": "<string>",
    "parents": [
      "<string>"
    ],
    "verified": true,
    "signature_state": "<string>"
  },
  "repo_info": {
    "name": "<string>",
    "url": "<string>",
    "id": "<string>",
    "description": "<string>"
  },
  "external_urls": {},
  "annotations": {},
  "user_data": {}
}' \
  --form 'attachment_file=<string>'
"<string>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
trail_name
string
required
org
string
required

Body

multipart/form-data
data_json
SystemAttestationPostInput · object
required

Attestation data in JSON format

attachment_file
string | null

Optional attachment file (max size: 10MB)

Response

Creation Success

The response is of type string.

Last modified on June 25, 2026